Subject: Re: bug#42512: "guix refresh --list-updaters" fails

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 24 Jul 2020 12:18:44 +0200

Hi Ludo,

> That suggests one of the packages in the ‘heads-guix’ channel has an
> invalid URL (one for which ‘string->uri’ returns #f).
> 
> If you set COLUMNS=200 you should see the name of the package in the
> backtrace.  :-)

That is correct.  I had a URL with content "FIXME" with url-fetch.

Still, I don't think this should happen.  Better to just print a normal warning
or error message.